Bug 844212

Summary: [abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: Xorg server crashed
Product: [Fedora] Fedora Reporter: eric
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: bugzilla.redhat.com, cassiothadeu, filipesbim, gestionmiraista2, ingsis.johnparra, jimmy.m.gong, joseluisrodriguezh, jpl, jsd, kyle.a.taylor, louis, mikael79, nalimilan, preeforn, rafaelktmendes, ryan.brolin, terry.stebbens, ubek1, xfcy40814135, xgl-maint, zbechir
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:ef41ca94da8c58572e36226529b59722b1b6c2ab
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 16:11:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: Xorg.0.log
none
File: usr_share_xorg_conf_d.tar.gz
none
File: etc_X11_xorg_conf_d.tar.gz none

Description eric 2012-07-29 23:08:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
executable:     /usr/bin/X
kernel:         3.4.6-2.fc17.i686.PAE
time:           Fri 27 Jul 2012 09:19:43 PM EDT

Xorg.0.log:     Text file, 41460 bytes
etc_X11_xorg_conf_d.tar.gz: Binary file, 483 bytes
usr_share_xorg_conf_d.tar.gz: Binary file, 1576 bytes

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x4a) [0x80ac24a]
:1: /usr/bin/X (mieqEnqueue+0x22b) [0x81aa77b]
:2: /usr/bin/X (0x8047000+0x4577c) [0x808c77c]
:3: /usr/bin/X (xf86PostMotionEventM+0xfa) [0x80d99ca]
:4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb68af000+0x3e2e) [0xb68b2e2e]
:5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb68af000+0x5534) [0xb68b4534]
:6: /usr/bin/X (0x8047000+0x81fa2) [0x80c8fa2]
:7: /usr/bin/X (0x8047000+0xa8185) [0x80ef185]
:8: (vdso) (__kernel_sigreturn+0x0) [0xb7703400]
:9: /lib/libc.so.6 (0x4b360000+0x142010) [0x4b4a2010]
:10: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb759d000+0xe404) [0xb75ab404]
:11: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb759d000+0x10024) [0xb75ad024]
:12: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb759d000+0x319ad) [0xb75ce9ad]
:13: /usr/bin/X (miCopyRegion+0x184) [0x81a8634]
:14: /usr/bin/X (miDoCopy+0x500) [0x81a8c90]
:15: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb759d000+0x3258c) [0xb75cf58c]
:16: /usr/bin/X (0x8047000+0x11037e) [0x815737e]
:17: /usr/bin/X (0x8047000+0x2bd03) [0x8072d03]
:18: /usr/bin/X (0x8047000+0x303fd) [0x80773fd]
:19: /usr/bin/X (0x8047000+0x1dce5) [0x8064ce5]
:20: /lib/libc.so.6 (__libc_start_main+0xf5) [0x4b379635]
:21: /usr/bin/X (0x8047000+0x1e029) [0x8065029]

smolt_data:
:Traceback (most recent call last):
:  File "/usr/bin/smoltSendProfile", line 152, in <module>
:    profile = smolt.get_profile()
:  File "/usr/share/smolt/client/smolt.py", line 1414, in get_profile
:    return Hardware()
:  File "/usr/share/smolt/client/smolt.py", line 1004, in Hardware
:    _hardware_instance = _Hardware()
:  File "/usr/share/smolt/client/smolt.py", line 593, in __init__
:    self.fss = get_file_systems()
:  File "/usr/share/smolt/client/smolt.py", line 417, in get_file_systems
:    file_systems = get_fslist()
:  File "/usr/share/smolt/client/fs_util.py", line 100, in get_fslist
:    return [FileSystem(mnt) for mnt in get_mtab()]
:  File "/usr/share/smolt/client/fs_util.py", line 91, in get_mtab
:    mtab_map = __cache_mtab__(mtab)
:  File "/usr/share/smolt/client/fs_util.py", line 107, in __cache_mtab__
:    mtab = [MntEntObj(line) for line in f.read().split('\n') if len(line) > 0]
:  File "/usr/share/smolt/client/fs_util.py", line 41, in __init__
:    self.mnt_freq, self.mnt_passno) = input.split()
:ValueError: too many values to unpack
Comment 1 eric 2012-07-29 23:08:09 EDT
Created attachment 601077 [details]
File: Xorg.0.log
Comment 2 eric 2012-07-29 23:08:10 EDT
Created attachment 601078 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 3 eric 2012-07-29 23:08:12 EDT
Created attachment 601079 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Adam Jackson 2012-11-29 16:04:51 EST
*** Bug 856452 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2012-11-29 16:04:55 EST
*** Bug 863637 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2012-11-29 16:04:58 EST
*** Bug 863651 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2012-11-29 16:05:01 EST
*** Bug 864625 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2012-11-29 16:05:03 EST
*** Bug 866529 has been marked as a duplicate of this bug. ***
Comment 9 Adam Jackson 2012-11-29 16:05:06 EST
*** Bug 871253 has been marked as a duplicate of this bug. ***
Comment 10 Adam Jackson 2012-11-29 16:05:09 EST
*** Bug 873648 has been marked as a duplicate of this bug. ***
Comment 11 Adam Jackson 2012-11-29 16:05:12 EST
*** Bug 873955 has been marked as a duplicate of this bug. ***
Comment 12 Adam Jackson 2012-11-29 16:05:15 EST
*** Bug 876639 has been marked as a duplicate of this bug. ***
Comment 13 Milan Bouchet-Valat 2012-12-07 13:57:33 EST
This may well be a regression introduced in recent updates. I hadn't experienced a X crash for a very long time, and after I applied the updates (I hadn't rebooted for about one month), I got this crash twice.

Please tell me if I should test specific versions of packages.


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Louis van Dyk 2013-01-08 10:32:00 EST
I have a lot of open windows, but I was chatting via empathy on the DBUS pop-up at the bottom of the window.  I had just completed my conversation, and clicked on the Image Viewer window, zooming it with the mouse, when the error alert appeared.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Fedora Update System 2013-01-23 17:11:15 EST
xorg-x11-server-1.12.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-3.fc17
Comment 16 Fedora Update System 2013-01-24 17:22:10 EST
Package xorg-x11-server-1.12.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.12.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1410/xorg-x11-server-1.12.4-3.fc17
then log in and leave karma (feedback).
Comment 17 Kyle Taylor 2013-01-28 20:33:49 EST
After an hour of inactivity, I moved the mouse and the screen immediately locked-up and became unresponsive.  Couldn't ssh into the system remotely to figure out what happened and bring the machine down gracefully.  Had to hard-boot the machine.  I'm not quite sure what else could have contributed. 

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Fedora Update System 2013-01-29 03:00:09 EST
xorg-x11-server-1.12.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-4.fc17
Comment 19 Fedora Update System 2013-02-14 16:32:42 EST
xorg-x11-server-1.12.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-6.fc17
Comment 20 Fedora Update System 2013-04-17 01:18:53 EDT
xorg-x11-server-1.12.4-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-7.fc17
Comment 21 Fedora Update System 2013-06-07 19:42:08 EDT
xorg-x11-server-1.12.4-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora End Of Life 2013-07-04 03:48:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2013-08-01 16:11:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.